Bug 2002985 - Rebase libguestfs-winsupport to 2021.8.22
Summary: Rebase libguestfs-winsupport to 2021.8.22
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 9
Classification: Red Hat
Component: libguestfs-winsupport
Version: 9.0
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: Virtualization Maintenance
QA Contact: YongkuiGuo
URL:
Whiteboard:
: 2004494 2004516 2004523 2004619 2004634 2004642 2004661 2004674 2004686 2004694 2004700 2004709 2006496 2006503 2006511 2006988 2006989 2006990 2006991 2006994 2006996 (view as bug list)
Depends On:
Blocks: CVE-2021-33285 CVE-2021-33286 CVE-2021-33287 CVE-2021-33289 CVE-2021-35266 CVE-2021-35267 CVE-2021-35268 CVE-2021-35269 CVE-2021-39251 CVE-2021-39252 CVE-2021-39253 CVE-2021-39254 CVE-2021-39255 CVE-2021-39256 CVE-2021-39257 CVE-2021-39258 CVE-2021-39259 CVE-2021-39260 CVE-2021-39261 CVE-2021-39262 CVE-2021-39263
TreeView+ depends on / blocked
 
Reported: 2021-09-10 09:36 UTC by Richard W.M. Jones
Modified: 2022-05-17 12:43 UTC (History)
3 users (show)

Fixed In Version: libguestfs-winsupport-9.0-1.el9
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2022-05-17 12:29:09 UTC
Type: Bug
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Issue Tracker RHELPLAN-96745 0 None None None 2021-09-10 09:39:23 UTC
Red Hat Product Errata RHBA-2022:2318 0 None None None 2022-05-17 12:30:37 UTC

Description Richard W.M. Jones 2021-09-10 09:36:31 UTC
Description of problem:

ntfs-3g 2021.8.22 was recently released.  It fixes numerous
CVEs and contains other improvements.  We should move to
this version in RHEL 9 GA.

https://github.com/tuxera/ntfs-3g/releases/tag/2021.8.22

It's not expected there will be any difficulties upgrading.

Version-Release number of selected component (if applicable):

libguestfs-winsupport-8.2-4.el9.x86_64

Comment 3 Richard W.M. Jones 2021-09-17 08:06:53 UTC
*** Bug 2004494 has been marked as a duplicate of this bug. ***

Comment 4 Richard W.M. Jones 2021-09-17 08:07:12 UTC
*** Bug 2004516 has been marked as a duplicate of this bug. ***

Comment 5 Richard W.M. Jones 2021-09-17 08:07:39 UTC
*** Bug 2004523 has been marked as a duplicate of this bug. ***

Comment 6 Richard W.M. Jones 2021-09-17 08:08:39 UTC
*** Bug 2004619 has been marked as a duplicate of this bug. ***

Comment 7 Richard W.M. Jones 2021-09-17 08:09:08 UTC
*** Bug 2004634 has been marked as a duplicate of this bug. ***

Comment 8 Richard W.M. Jones 2021-09-17 08:10:20 UTC
*** Bug 2004642 has been marked as a duplicate of this bug. ***

Comment 9 Richard W.M. Jones 2021-09-17 08:10:37 UTC
*** Bug 2004661 has been marked as a duplicate of this bug. ***

Comment 10 Richard W.M. Jones 2021-09-17 08:10:47 UTC
*** Bug 2004674 has been marked as a duplicate of this bug. ***

Comment 11 Richard W.M. Jones 2021-09-17 08:11:24 UTC
*** Bug 2004694 has been marked as a duplicate of this bug. ***

Comment 12 Richard W.M. Jones 2021-09-17 08:11:37 UTC
*** Bug 2004700 has been marked as a duplicate of this bug. ***

Comment 13 Richard W.M. Jones 2021-09-17 08:12:14 UTC
*** Bug 2004686 has been marked as a duplicate of this bug. ***

Comment 14 Richard W.M. Jones 2021-09-17 08:12:37 UTC
*** Bug 2004709 has been marked as a duplicate of this bug. ***

Comment 15 Richard W.M. Jones 2021-09-21 19:23:06 UTC
*** Bug 2006503 has been marked as a duplicate of this bug. ***

Comment 16 Richard W.M. Jones 2021-09-21 19:23:12 UTC
*** Bug 2006511 has been marked as a duplicate of this bug. ***

Comment 17 Richard W.M. Jones 2021-09-21 19:23:26 UTC
*** Bug 2006496 has been marked as a duplicate of this bug. ***

Comment 18 Richard W.M. Jones 2021-09-23 07:25:00 UTC
*** Bug 2006988 has been marked as a duplicate of this bug. ***

Comment 19 Richard W.M. Jones 2021-09-23 07:25:24 UTC
*** Bug 2006989 has been marked as a duplicate of this bug. ***

Comment 20 Richard W.M. Jones 2021-09-23 07:25:31 UTC
*** Bug 2006990 has been marked as a duplicate of this bug. ***

Comment 21 Richard W.M. Jones 2021-09-23 07:25:37 UTC
*** Bug 2006991 has been marked as a duplicate of this bug. ***

Comment 22 Richard W.M. Jones 2021-09-23 07:25:42 UTC
*** Bug 2006994 has been marked as a duplicate of this bug. ***

Comment 23 Richard W.M. Jones 2021-09-23 07:25:47 UTC
*** Bug 2006996 has been marked as a duplicate of this bug. ***

Comment 24 YongkuiGuo 2021-10-27 06:50:31 UTC
Verified with package:
libguestfs-winsupport-9.0-1.el9.x86_64


Steps:

1. The gating tests passed: https://dashboard.osci.redhat.com/#/artifact/brew-build/aid/39690374
2. Test windows guest conversion on rhel9 host:

# virt-v2v -ic vpx://root@10.73.198.169/data/10.73.199.217/?no_verify=1 -it vddk -io vddk-libdir=/home/vddk7.0.2 -io  vddk-thumbprint=B5:52:1F:B4:21:09:45:24:51:32:56:F6:63:6A:93:5D:54:08:2D:78 esx7.0-win2022-preview-x86_64 -ip /home/passwd
[   0.0] Opening the source -i libvirt -ic vpx://root@10.73.198.169/data/10.73.199.217/?no_verify=1 esx7.0-win2022-preview-x86_64 -it vddk  -io vddk-libdir=/home/vddk7.0.2 -io vddk-thumbprint=B5:52:1F:B4:21:09:45:24:51:32:56:F6:63:6A:93:5D:54:08:2D:78
[   1.9] Creating an overlay to protect the source from being modified
[   3.0] Opening the overlay
[  11.3] Inspecting the overlay
[  16.6] Checking for sufficient free disk space in the guest
[  16.6] Converting Windows Server 2022 Datacenter to run on KVM
virt-v2v: warning: there is no QXL driver for this version of Windows (10.0 
x86_64).  virt-v2v looks for this driver in 
/usr/share/virtio-win/virtio-win.iso

The guest will be configured to use a basic VGA display driver.
virt-v2v: This guest has virtio drivers installed.
[  30.5] Mapping filesystem data to avoid copying unused and blank areas
[  32.0] Closing the overlay
[  32.3] Assigning disks to buses
[  32.3] Checking if the guest needs BIOS or UEFI to boot
[  32.3] Initializing the target -o libvirt -os default
[  32.3] Copying disk 1/1 to /var/lib/libvirt/images/esx7.0-win2022-preview-x86_64-sda (raw)
    (100.00/100%)
[ 142.9] Creating output metadata
[ 143.6] Finishing off

It works.

Comment 27 errata-xmlrpc 2022-05-17 12:29:09 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (new packages: libguestfs-winsupport), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2022:2318


Note You need to log in before you can comment on or make changes to this bug.